searchData={"items":[{"type":"task","title":"mix stacktrace_gpt.install","doc":"","ref":"Mix.Tasks.StacktraceGpt.Install.html"},{"type":"function","title":"Mix.Tasks.StacktraceGpt.Install.run/1","doc":"","ref":"Mix.Tasks.StacktraceGpt.Install.html#run/1"},{"type":"module","title":"StacktraceGpt.LoggerBackend","doc":"Logger backend for StacktraceGpt\n\nThe purpose of this backend is to catch only errors, store error messages in the ETS table to form a LIFO queue\nand pass them to the next Logger backend.\n\nThis backend should be only used in development environment,\nso it's not included in the list of backends in `config.exs` but rather in `dev.exs`:\n\n```elixir\n# config/dev.exs\n\nconfig :logger,\n  backends: [:console, StacktraceGpt.LoggerBackend]\n```","ref":"StacktraceGpt.LoggerBackend.html"},{"type":"function","title":"StacktraceGpt.LoggerBackend.handle_event/2","doc":"This is where we add stacktrace to the ETS table and pass error to the next Logger backend","ref":"StacktraceGpt.LoggerBackend.html#handle_event/2"},{"type":"module","title":"StacktraceGpt.Server","doc":"This module is a GenServer that stores stacktraces in an ETS table and\nfacilitates calls to ChatGPT to get explanations of those stacktraces.","ref":"StacktraceGpt.Server.html"},{"type":"function","title":"StacktraceGpt.Server.add_stacktrace/2","doc":"Adds stacktrace message to the ETS table in `:dev` environment.\n`message` - is a string or a cons-cell-like list with an error message inside.\nThe error message inside is extracted in the add_message_to_queue function.\n\nReturns `true` if successful.\nReturns `:not_dev_env` if not in `:dev` environment.\nReturns `:message_format_not_supported` if message is not a binary.","ref":"StacktraceGpt.Server.html#add_stacktrace/2"},{"type":"function","title":"StacktraceGpt.Server.ask_gpt/0","doc":"Gets the last message from the ETS table and asks GPT for explanation.","ref":"StacktraceGpt.Server.html#ask_gpt/0"},{"type":"function","title":"StacktraceGpt.Server.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"StacktraceGpt.Server.html#child_spec/1"},{"type":"function","title":"StacktraceGpt.Server.clear_stacktrace/0","doc":"Clears the ETS table.","ref":"StacktraceGpt.Server.html#clear_stacktrace/0"},{"type":"function","title":"StacktraceGpt.Server.init/1","doc":"Initializes the server by logging its start and creating an ETS table named :stacktrace_gpt\nwith protection type :protected. The table is public, uses the set data type, and is named.","ref":"StacktraceGpt.Server.html#init/1"},{"type":"function","title":"StacktraceGpt.Server.start_link/1","doc":"Initiates the server process. It is linked to the current process and can be identified by the module name.","ref":"StacktraceGpt.Server.html#start_link/1"}],"content_type":"text/markdown"}